Subject: [manet] MANET Port Name

From: "Ian Chakeres" <[email-masked]>
Date: Fri, 20 Apr 2007 18:23:44 +0530

I'd like to ask people whether they would like the port in the IANA
document  named "MANET" or "PacketBB".

If you have a preference, please reply.

Ian Chakeres

On 4/20/07, Ian Chakeres <[email-masked]> wrote:
> For interoperability between the routing protocol implementations, it
> is important that well known port and multicast addresses be assigned.
>
> It was debated long ago that we assign common IANA assignments for all
> the current MANET specifications.
>
> Renaming the port to PacketBB sounds like a possible solution to port
> naming, but it does not portray the correct intent for the multicast
> addresses.
>
> Ian Chakeres
>
> Regarding the status of the existing MANET experimental RFC's, I have
> not given any thought to changing their status nor do I see any
> urgency to do so.
>
>
> On 4/20/07, Teco Boot <[email-masked]> wrote:
> > Hi Ian,
> >
> > I still think the status of MANET drafts is confusing, and the IANA request
> > confused me again. First of all, I want to know what will happen with
> > current MANET RFCs. Do they become obsolete? This is the second time I asked
> > this question, it should not be that hard to answer.
> >
> > Name:  Rfc:  Protocol:  Port:
> > AODV   3561             654
> > OLSR   3626             698
> > TBRPF  3684             712
> > DSR    4728  48 o
> >
> > The manet-iana I-D is about PacketBB and not for __all__ MANET protocols. I
> > am sure there will be successors on PacketBB, as the current proposals has
> > still their problems. And think about other work-in-progress on MANET, like
> > OSPF-MANET, ideas in 6lowpan/sensornetworks and MANEMO.
> >
> > Renaming the requested port & addresses to PacketBB solves the __all__ MANET
> > remark.
> > And please anser my question what to do with existing MANET protocol RFCs.
> >
> > Teco
> >
> >
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 20 Apr 2007 17:07:36 +0200

> If you have a preference, please reply.

Yes, I have some thoughts on this, thanks for asking.

_If_ PacketBB is something used by most (all?) MANET protocols, then
indeed the port should be named PacketBB.

_If_ PacketBB is something that works only over UDP and/or TCP then
again I prefer PacketBB for port name.

If some existing MANET protocols have already ports assigned then a new
one can't be so called MANET.

But let me say something else.  _If_ (only a big _if_) this WG defined
only one protocol that they called "GRABNET" for example then it could
have been easier to just have one port called "GRABNET" instead of
PacketBB which seems to be only a TLV, not a protocol per se.

Because, for example DYMO doesn't necessarily run at network layer (it
may run at link-layer) so at that point DYMO using PacketBB and PacketBB
port number wouldn't make much sense; it should have been "DYMO port
number".

Alex

>> For interoperability between the routing protocol implementations,
>> it is important that well known port and multicast addresses be
>> assigned.
>> 
>> It was debated long ago that we assign common IANA assignments for
>> all the current MANET specifications.
>> 
>> Renaming the port to PacketBB sounds like a possible solution to
>> port naming, but it does not portray the correct intent for the
>> multicast addresses.
>> 
>> Ian Chakeres
>> 
>> Regarding the status of the existing MANET experimental RFC's, I
>> have not given any thought to changing their status nor do I see
>> any urgency to do so.
>> 
>> 
>>> I still think the status of MANET drafts is confusing, and the
>>> IANA
>> request
>>> confused me again. First of all, I want to know what will happen
>>> with current MANET RFCs. Do they become obsolete? This is the
>>> second time
>> I asked
>>> Name:  Rfc:  Protocol:  Port: AODV   3561             654 OLSR
>>> 3626             698 TBRPF  3684             712 DSR    4728  48
>>> o
>>> 
>>> remark. And please anser my question what to do with existing
>>> MANET protocol
>> RFCs.
>>> 
>>> Teco
>>> 
>>> 
>> 
> 
> 
> _______________________________________________ manet mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/manet
> 

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________

---

From: "Ian Chakeres" <[email-masked]>
Date: Sat, 21 Apr 2007 07:56:03 +0530

All the MANET protocols that generate control messages (NHDP, DYMO,
OLSRv2) use PacketBB (Packet Building Block) for their packets &
messages.

Ian